package de.gedoplan.beantrial.jboss7remoteejb;


import java.security.Principal;

import javax.annotation.Resource;
import javax.ejb.EJBContext;
import javax.ejb.LocalBean;
import javax.ejb.Stateful;

@Stateful
@LocalBean
public class UserInfoBean implements UserInfo
{
  @Resource
  private EJBContext ejbContext;

  @Override
  public String getUserId()
  {
    Principal callerPrincipal = this.ejbContext.getCallerPrincipal();
    return callerPrincipal != null ? callerPrincipal.getName() : null;
  }

}
